<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <artifactId>phase-one-evaluation-task</artifactId>
        <groupId>com.progressoft.evaluationtask</groupId>
        <version>1.0-SNAPSHOT</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>

    <artifactId>Reconciliation-WebApp</artifactId>
    <packaging>war</packaging>
    <dependencies>
        <dependency>
            <groupId>com.progressoft.evaluationtask.web</groupId>
            <artifactId>Application-initializer</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>com.progressoft.evaluationtask.web</groupId>
            <artifactId>application-webfragment</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>com.progressoft.evaluationtask</groupId>
            <artifactId>login-authentication-filter</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>javax.servlet</groupId>
            <artifactId>jstl</artifactId>
            <version>1.2</version>
        </dependency>
    </dependencies>
    <build>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-war-plugin</artifactId>
                <version>2.6</version>
                <configuration>
                    <failOnMissingWebXml>false</failOnMissingWebXml>
                </configuration>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <version>3.7.0</version>
                <configuration>
                    <source>6</source>
                    <target>6</target>
                </configuration>
            </plugin>
            <plugin>
                <groupId>org.eclipse.jetty</groupId>
                <artifactId>jetty-maven-plugin</artifactId>
                <version>9.4.26.v20200117</version>
            </plugin>
            <plugin>
                <groupId>org.codehaus.cargo</groupId>
                <artifactId>cargo-maven2-plugin</artifactId>
                <version>1.7.6</version>
            </plugin>
        </plugins>
    </build>


</project>